org.eclipse.microprofile.reactive.streams.operators.spi

## Class ReactiveStreamsFactoryResolver

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.spi.ReactiveStreamsFactoryResolver

    public class ReactiveStreamsFactoryResolver
    extends Object

This class is not intended to be used by end-users but for portable container integration purpose only.

Service provider for ReactiveStreamsFactory. The implementation registers itself via the `ServiceLoader` mechanism.

### Constructor Summary

Constructors
`protected` `ReactiveStreamsFactoryResolver()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ReactiveStreamsFactory` `instance()` Creates a ReactiveStreamsFactory object Only used internally from within `ReactiveStreams`
`static void` `setInstance(ReactiveStreamsFactory factory)` Set the instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReactiveStreamsFactoryResolver

    protected ReactiveStreamsFactoryResolver()

### Method Detail

#### instance

    public static ReactiveStreamsFactory instance()

Creates a ReactiveStreamsFactory object Only used internally from within `ReactiveStreams`

Returns:
  ReactiveStreamsFactory an instance of ReactiveStreamsFactory

#### setInstance

    public static void setInstance(ReactiveStreamsFactory factory)

Set the instance. It is used by OSGi environment while service loader pattern is not supported.

Parameters:
  `factory` - set the instance.